<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- $Id: parameter.xsl,v 1.7 2005/08/08 13:59:00 toms Exp $ -->
<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:param name="html.stylesheet">susebooks.css</xsl:param>

<!-- Lokalization -->
<xsl:param name="local.l10n.xml" select="document('suse.i18n.xml')"/>


<xsl:param name="chunk.fast" select="1"/>

<!-- Navigational graphics -->
<xsl:param name="navig.graphics" select="1"/>
<xsl:param name="navig.graphics.path">navig/</xsl:param>
<xsl:param name="navig.graphics.extension" select="'.png'"/>

<xsl:param name="admon.graphics" select="1"/>
<xsl:param name="admon.graphics.path">admon/</xsl:param>
<xsl:param name="admon.graphic.width" select="32"/>
<xsl:param name="admon.style" select="''"/>

<xsl:param name="callout.graphics.path">callouts/</xsl:param>

<!--

<xsl:param name="callout.unicode" select="1"/>
<xsl:param name="callout.graphics" select="'0'"/>
-->

<xsl:param name="use.id.as.filename" select="1"/>

<!-- Generate a list of all HTML files? -->
<!-- <xsl:param name="generate.manifest" select="1"/> -->

<xsl:param name="root.filename">index</xsl:param>

<xsl:param name="header.rule" select="false()"/>
<xsl:param name="footer.rule" select="false()"/>

<xsl:param name="toc.section.depth" select="1"/>
<xsl:param name="section.autolabel" select="1"/>
<xsl:param name="section.label.includes.component.label" select="1"/>
<xsl:param name="generate.toc">
book     toc,title,figure,table,example
article  toc,title
appendix toc,title
chapter  toc,title
part     toc,title
set      toc,title
</xsl:param>
<xsl:param name="img.src.path">images/</xsl:param><!-- DB XSL Version >=1.67.1 -->
<xsl:param name="idvalue.sep" select="' '"/>

<!-- The width of admonition graphics -->
<xsl:param name="admon.graphic.width">25</xsl:param>

</xsl:stylesheet>
