<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: fonts.xsl,v 1.2 2005/09/26 11:16:22 toms Exp $ -->
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fo="http://www.w3.org/1999/XSL/Format"
>

<!--
   The fonts are from the RPM package freefont
-->
<xsl:param name="body.font.master">10.5</xsl:param>

<xsl:param name="body.font.family">
  <xsl:choose>
   <xsl:when test="/*[starts-with(@lang,'zh')]">
    <xsl:text>Thorndale,FreeSerif,Chinese,serif</xsl:text>
   </xsl:when>
   <xsl:when test="/*[starts-with(@lang,'ja')]">
    <xsl:text>Thorndale,FreeSerif,Japanese,serif</xsl:text>
   </xsl:when>
   <xsl:otherwise>
    <xsl:text>Thorndale,serif</xsl:text><!-- FreeSerif, -->
   </xsl:otherwise>
  </xsl:choose>
</xsl:param>
<xsl:param name="sans.font.family">
  <xsl:choose>
   <xsl:when test="/*[starts-with(@lang,'zh')]">
    <xsl:text>AndaleSans,Chinese,FreeSans,sansserif</xsl:text>
   </xsl:when>
   <xsl:when test="/*[starts-with(@lang,'ja')]">
    <xsl:text>AndaleSans,Japanese,FreeSans,sansserif</xsl:text>
   </xsl:when>
   <xsl:otherwise>
    <xsl:text>AndaleSans,sansserif</xsl:text><!-- FreeSans,-->
   </xsl:otherwise>
  </xsl:choose>
</xsl:param>

<xsl:param name="monospace.font.family">
  <xsl:choose>
   <xsl:when test="/*[starts-with(@lang,'zh')]">
    <xsl:text>monospace,ChineseMono</xsl:text>
   </xsl:when>
   <xsl:when test="/*[starts-with(@lang,'ja')]">
    <xsl:text>monospace,JapaneseMono</xsl:text>
   </xsl:when>
   <xsl:otherwise>
    <xsl:text>monospace</xsl:text><!-- FreeSans,-->
   </xsl:otherwise>
  </xsl:choose>
</xsl:param><!-- FreeMono, -->

<xsl:param name="title.font.family" select="$sans.font.family"/>
<!-- <xsl:param name="symbol.font.family"></xsl:param> -->

</xsl:stylesheet>