<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- $Id: chunk.xsl,v 1.5 2005/08/19 09:21:34 toms Exp $ -->
<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:exsl="http://exslt.org/common"
    xmlns:t="http://nwalsh.com/docbook/xsl/template/1.0"
    xmlns:l="http://docbook.sourceforge.net/xmlns/l10n/1.0"
    exclude-result-prefixes="exsl l t">


<xsl:import  href="http://docbook.sourceforge.net/release/xsl/current/html/chunk.xsl"/>

<xsl:output indent="yes"/>

<xsl:include href="suse-titlepage.xsl"/>
<xsl:include href="parameter.xsl" />
<xsl:include href="xref.xsl" />

<!--  -->
<!-- <xsl:include href="division.xsl"/> -->


<!-- Overwrite with our own implementation -->
<xsl:include href="redefinitions.xsl"/>

<!-- Overwrite HTML header, because of productname, productnumber -->
<xsl:include href="html.head.xsl"/>

<!-- Overwrite standard header and footer with our own definitions -->
<xsl:include  href="navig.header.footer.xsl"/>

<!-- Overwrites some template rules for graphics -->
<!--<xsl:include href="graphics.xsl"/>-->

<!-- Overwrite standard xref linking -->
<!-- <xsl:include href="xref.xsl"/> -->


<xsl:param name="base.dir">./html/</xsl:param>
<xsl:param name="generate.legalnotice.link" select="1"/>


</xsl:stylesheet>
