<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   version="1.0">

<xsl:output method="html"/>


<xsl:template match="/">
   <html>
      <body>
         <h1>All links</h1>
<p>Links in total <xsl:value-of select="count(.//ulink)"/></p>
<br/>
<xsl:apply-templates select=".//ulink"/>
      </body>
   </html>
</xsl:template>

<xsl:template match="ulink">
<br/>
<xsl:for-each select="./@url">
<xsl:choose>
<xsl:when test="starts-with(., 'http')">
<a href="{.}">
<xsl:value-of select="."/>
</a>
</xsl:when>
<xsl:when test="starts-with(., 'ftp')">
<a href="{.}">
<xsl:value-of select="."/>
</a>
</xsl:when>
<xsl:when test="starts-with(., 'mailto')">
<p>Test this mailto reference: <xsl:value-of select="."/></p>
</xsl:when>
<xsl:when test="starts-with(., 'file')">
<p>Local reference available? <xsl:value-of select="."/></p>
</xsl:when>
<xsl:otherwise>
<p>Fix syntax of this link: <xsl:value-of select="."/></p>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:template>

</xsl:stylesheet>
